import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.server.session.SessionHandler;
import org.eclipse.jetty.webapp.WebAppContext;
import org.eclipse.rap.rwt.application.ApplicationConfiguration;
import org.eclipse.rap.rwt.engine.RWTServlet;
import org.eclipse.rap.rwt.engine.RWTServletContextListener;

public class Main {

	private static Server server;

	/**
	 * @param args
	 * @throws InterruptedException 
	 */
	public static void main(String[] args) throws InterruptedException {
		while (true)
		{
		Thread t = new Thread() {
			public void run() {
				server = new Server(7070);

				WebAppContext context = new WebAppContext(null, "/");
				context.setSessionHandler(new SessionHandler());
				context.setContextPath("/");
				context.setResourceBase(".");

				context.addServlet(RWTServlet.class, "/Example");
				context.setClassLoader(Thread.currentThread()
						.getContextClassLoader());
				context.setInitParameter(
						ApplicationConfiguration.CONFIGURATION_PARAM,
						"application.webapp.BasicApplication");
				

				context.addEventListener(new RWTServletContextListener());
				
				server.setHandler(context);

				try {
					context.start();
					server.start();

					Thread.sleep(10000);
					server.stop();
					server.join();

				} catch (Exception e) {
					e.printStackTrace();
				}
			}

		};
		
		t.start();
		t.join();
		
		}
	}

}
